MetaCPAN::Client::Request(3pm)

NAME
MetaCPAN::Client::Request - Object used for making requests to MetaCPAN

VERSION
version 2.044000

ATTRIBUTES

  domain
    $mcpan = MetaCPAN::Client->new( domain => 'localhost' );

What domain to use for all requests.

Default: https://fastapi.metacpan.org.

  base_url
    my $mcpan = MetaCPAN::Client->new(
        base_url => 'https://localhost:9999/v2',
    );

Instead of overriding the "base_url", you should override the "domain". The "base_url" will be set appropriately automatically.

Default: https://$domain.

  debug
debug-mode for more detailed error messages.

METHODS

  BUILDARGS

  fetch
    my $result = $mcpan->fetch('/release/Moose');

    # with parameters
    my $more = $mcpan->fetch(
        '/release/Moose',
        { param => 'value' },
    );

Fetches a path from MetaCPAN (post or get), and returns the decoded result.

  ssearch
Calls an Elasticsearch query and returns an MetaCPAN::Client::Scroll scroller object.

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.